Cancel Order
curl --request POST \
--url https://api.polymarket.us/v1/order/{orderId}/cancel \
--header 'Content-Type: application/json' \
--header 'X-PM-Access-Key: <api-key>' \
--header 'X-PM-Signature: <api-key>' \
--header 'X-PM-Timestamp: <api-key>' \
--data '
{
"marketSlug": "<string>"
}
'import requests
url = "https://api.polymarket.us/v1/order/{orderId}/cancel"
payload = { "marketSlug": "<string>" }
headers = {
"X-PM-Access-Key": "<api-key>",
"X-PM-Timestamp": "<api-key>",
"X-PM-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-PM-Access-Key': '<api-key>',
'X-PM-Timestamp': '<api-key>',
'X-PM-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({marketSlug: '<string>'})
};
fetch('https://api.polymarket.us/v1/order/{orderId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Cancel Order
Cancel a specific order by its exchange-assigned ID
POST
/
v1
/
order
/
{orderId}
/
cancel
Cancel Order
Authorizations
Your API key ID (UUID). Generate at polymarket.us/developer.
Unix timestamp in milliseconds. Must be within 30 seconds of server time.
Base64-encoded Ed25519 signature of timestamp + method + path. See Authentication for details.
Path Parameters
Exchange-assigned Order ID to cancel
Body
application/json
Request to cancel an existing order
Request to cancel an existing order
Unique market slug into which the order should be canceled
Response
Order canceled successfully
Response for order cancellation (empty on success)
⌘I